Bug 269190 - amarok crashes when switching to one particular song [@ UpcomingEventsWidget::UpcomingEventsWidget]
Summary: amarok crashes when switching to one particular song [@ UpcomingEventsWidget:...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Upcoming Events (show other bugs)
Version: 2.4.1
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords: regression
: 269379 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-03-22 23:15 UTC by Danny Auble
Modified: 2011-05-10 03:43 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments
Crash on version 2.4.1 (28.85 KB, text/plain)
2011-05-09 14:10 UTC, Nikita Krupenko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Danny Auble 2011-03-22 23:15:51 UTC
Version:           2.4.0 (using KDE 4.6.1) 
OS:                Linux

When going to 1 particular song in my playlist amarok just started crashing.  I have played this song plenty of times before, but now it crashes amarok every time.  I haven't seen this happen with any other song.

Reproducible: Always

Steps to Reproduce:
play some song with amarok,
switch to Buckcherry - For the Movies


(I doubt it has to be exactly Buckcherry - For the Movies, but that appears to be the only one making this happen)

Actual Results:  
crash

Expected Results:  
play the song

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f6bbeae4840 (LWP 3214))]

Thread 19 (Thread 0x7f6b98621700 (LWP 3215)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007f6ba1fbb0d1 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#3  0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f6b97e20700 (LWP 3216)):
#0  0x00007f6bbb63e203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=36) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6bb5ce3009 in g_main_context_poll (context=0xdfe110, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:3093
#2  g_main_context_iterate (context=0xdfe110, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2775
#3  0x00007f6bb5ce345c in g_main_context_iteration (context=0xdfe110, may_block=1) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2843
#4  0x00007f6bbbf981e6 in QEventDispatcherGlib::processEvents (this=0xcaf1a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f6bbbf6aa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f6bbbf6adec in QEventLoop::exec (this=0x7f6b97e1fbf0, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f6bbbe752fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f6ba2216830 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#9  0x00007f6bbbe7827e in QThreadPrivate::start (arg=0xe368b0) at thread/qthread_unix.cpp:266
#10 0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#11 0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#12 0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f6b9741a700 (LWP 3217)):
#0  0x00007f6bbb63e203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6bb336440f in ?? () from /usr/lib/libpulse.so.0
#2  0x00007f6bb3353d76 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#3  0x00007f6bb33557f9 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#4  0x00007f6bb33558b0 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#5  0x00007f6bb336420b in ?? () from /usr/lib/libpulse.so.0
#6  0x00007f6bae2f8fb8 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#7  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#8  0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f6b96c19700 (LWP 3218)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6ba1fcbe83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#3  0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f6b9600e700 (LWP 3219)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6ba1fcbe83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#3  0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f6b9572f700 (LWP 3220)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6ba1fcbe83 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#3  0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f6b8bffe700 (LWP 3221)):
#0  0x00007f6bbb63e203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6bb5ce3009 in g_main_context_poll (context=0x111fc70, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:3093
#2  g_main_context_iterate (context=0x111fc70, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2775
#3  0x00007f6bb5ce345c in g_main_context_iteration (context=0x111fc70, may_block=1) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2843
#4  0x00007f6bbbf981e6 in QEventDispatcherGlib::processEvents (this=0xcd5740, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f6bbbf6aa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f6bbbf6adec in QEventLoop::exec (this=0x7f6b8bffdc10, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f6bbbe752fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f6bbbf4a5f8 in QInotifyFileSystemWatcherEngine::run (this=0x111eec0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f6bbbe7827e in QThreadPrivate::start (arg=0x111eec0) at thread/qthread_unix.cpp:266
#10 0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#11 0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#12 0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f6b838d7700 (LWP 3222)):
#0  0x00007f6bbb63e203 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6bb5ce3009 in g_main_context_poll (context=0x2302660, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:3093
#2  g_main_context_iterate (context=0x2302660, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2775
#3  0x00007f6bb5ce345c in g_main_context_iteration (context=0x2302660, may_block=1) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2843
#4  0x00007f6bbbf981e6 in QEventDispatcherGlib::processEvents (this=0x16898c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f6bbbf6aa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f6bbbf6adec in QEventLoop::exec (this=0x7f6b838d6c10, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f6bbbe752fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f6bbbf4a5f8 in QInotifyFileSystemWatcherEngine::run (this=0x1688e70) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f6bbbe7827e in QThreadPrivate::start (arg=0x1688e70) at thread/qthread_unix.cpp:266
#10 0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#11 0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#12 0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f6b82eba700 (LWP 3223)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6bbbe78e3b in wait (this=<value optimized out>, mutex=0x1db8260, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1db8260, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f6bb90abd64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2185320, th=0x1d9f760) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f6bb90aef6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2185750, th=0x1d9f760) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f6bb90aef84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2185750, th=0x1d9f760) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f6bb90ad4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f6b82eb9c60, parent=0x2185320, th=0x1d9f760) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f6bb90ada38 in ThreadWeaver::Thread::run (this=0x1d9f760) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f6bbbe7827e in QThreadPrivate::start (arg=0x1d9f760) at thread/qthread_unix.cpp:266
#9  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#11 0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f6b824ae700 (LWP 3224)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6bbbe78e3b in wait (this=<value optimized out>, mutex=0x1db8260, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1db8260, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f6bb90abd64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2185320, th=0x1603690) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f6bb90aef6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2185750, th=0x1603690) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f6bb90aef84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2185750, th=0x1603690) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f6bb90aef84 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2185750, th=0x1603690) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f6bb90ad4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f6b824adc60, parent=0x2185320, th=0x1603690) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007f6bb90ada38 in ThreadWeaver::Thread::run (this=0x1603690) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007f6bbbe7827e in QThreadPrivate::start (arg=0x1603690) at thread/qthread_unix.cpp:266
#10 0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#11 0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#12 0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f6b81cad700 (LWP 3225)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6bbbe78e3b in wait (this=<value optimized out>, mutex=0x1db8260, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1db8260, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f6bb90abd64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2185320, th=0x216ecb0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f6bb90aef6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2185750, th=0x216ecb0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f6bb90ad4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f6b81cacc60, parent=0x2185320, th=0x216ecb0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f6bb90ada38 in ThreadWeaver::Thread::run (this=0x216ecb0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f6bbbe7827e in QThreadPrivate::start (arg=0x216ecb0) at thread/qthread_unix.cpp:266
#8  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f6b814ac700 (LWP 3226)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6bbbe78e3b in wait (this=<value optimized out>, mutex=0x1db8260, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1db8260, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f6bb90abd64 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2185320, th=0x216fc40) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f6bb90aef6b in ThreadWeaver::WorkingHardState::applyForWork (this=0x2185750, th=0x216fc40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f6bb90ad4df in ThreadWeaver::ThreadRunHelper::run (this=0x7f6b814abc60, parent=0x2185320, th=0x216fc40) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f6bb90ada38 in ThreadWeaver::Thread::run (this=0x216fc40) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f6bbbe7827e in QThreadPrivate::start (arg=0x216fc40) at thread/qthread_unix.cpp:266
#8  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f6b6e08a700 (LWP 3234)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6bb79de334 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f6bb7ce9160) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f6bb79de369 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f6bb7cf7234) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#5  0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f6b6a87f700 (LWP 3236)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1  0x00007f6bbbe78da2 in wait (this=<value optimized out>, mutex=0x25c4110, time=30000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x25c4110, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f6bbbe6dda2 in QThreadPoolThread::run (this=0x1a383e0) at concurrent/qthreadpool.cpp:140
#4  0x00007f6bbbe7827e in QThreadPrivate::start (arg=0x1a383e0) at thread/qthread_unix.cpp:266
#5  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#6  0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#7  0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f6b76785700 (LWP 3242)):
#0  0x00007f6bbb6432c3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f6ba1fe4385 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007f6ba1fc8d09 in ?? () from /usr/lib/libxine.so.1
#3  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#5  0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f6b75f84700 (LWP 3243)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6ba1fbe98b in ?? () from /usr/lib/libxine.so.1
#2  0x00007f6ba1fc4a2d in ?? () from /usr/lib/libxine.so.1
#3  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#5  0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f6b75783700 (LWP 3244)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6ba1fbe98b in ?? () from /usr/lib/libxine.so.1
#2  0x00007f6ba1fc5a85 in ?? () from /usr/lib/libxine.so.1
#3  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#5  0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f6b74f82700 (LWP 3245)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6ba1fcf00b in ?? () from /usr/lib/libxine.so.1
#2  0x00007f6bb0c21953 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#3  0x00007f6bb70da971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#4  0x00007f6bbb64a92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f6bbeae4840 (LWP 3214)):
[KCrash Handler]
#6  operator-> (this=0x1b69f80, event=..., parent=<value optimized out>, wFlags=<value optimized out>) at /usr/include/KDE/../ksharedptr.h:126
#7  UpcomingEventsWidget::UpcomingEventsWidget (this=0x1b69f80, event=..., parent=<value optimized out>, wFlags=<value optimized out>) at ../../../../../src/context/applets/upcomingevents/UpcomingEventsWidget.cpp:70
#8  0x00007f6b80455f62 in UpcomingEventsListWidget::addEvent (this=0x22c46f0, event=...) at ../../../../../src/context/applets/upcomingevents/UpcomingEventsWidget.cpp:316
#9  0x00007f6b80456172 in UpcomingEventsListWidget::addEvents (this=0x22c46f0, events=<value optimized out>) at ../../../../../src/context/applets/upcomingevents/UpcomingEventsWidget.cpp:338
#10 0x00007f6b8044c804 in UpcomingEventsApplet::addToStackItem (this=<value optimized out>, item=0x22e5a00, events=..., name=...) at ../../../../../src/context/applets/upcomingevents/UpcomingEventsApplet.cpp:218
#11 0x00007f6b8044ccf6 in UpcomingEventsApplet::dataUpdated (this=0x2139bf0, source=..., data=<value optimized out>) at ../../../../../src/context/applets/upcomingevents/UpcomingEventsApplet.cpp:141
#12 0x00007f6b8044dc05 in UpcomingEventsApplet::qt_metacall (this=0x2139bf0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff45070310) at ./UpcomingEventsApplet.moc:117
#13 0x00007f6bbbf83b27 in QMetaObject::activate (sender=0x2322320, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x1) at kernel/qobject.cpp:3280
#14 0x00007f6bb82a9697 in Plasma::DataContainer::dataUpdated (this=0x13e9eb0, _t1=<value optimized out>, _t2=<value optimized out>) at ./datacontainer.moc:112
#15 0x00007f6bb82a9d63 in Plasma::DataContainer::checkForUpdate (this=0x2322320) at ../../plasma/datacontainer.cpp:327
#16 0x00007f6bb82af347 in Plasma::DataEngine::timerEvent (this=<value optimized out>, event=<value optimized out>) at ../../plasma/dataengine.cpp:386
#17 0x00007f6bbbf7d8f9 in QObject::event (this=0x2076ae0, e=0x7fff4506f810) at kernel/qobject.cpp:1183
#18 0x00007f6bbc94efdc in QApplicationPrivate::notify_helper (this=0xc39ac0, receiver=0x2076ae0, e=0x7fff45070b60) at kernel/qapplication.cpp:4396
#19 0x00007f6bbc954aed in QApplication::notify (this=0x7fff45070e70, receiver=0x2076ae0, e=0x7fff45070b60) at kernel/qapplication.cpp:4277
#20 0x00007f6bbe4e42c6 in KApplication::notify (this=0x7fff45070e70, receiver=0x2076ae0, event=0x7fff45070b60) at ../../kdeui/kernel/kapplication.cpp:311
#21 0x00007f6bbbf6bcdc in QCoreApplication::notifyInternal (this=0x7fff45070e70, receiver=0x2076ae0, event=0x7fff45070b60) at kernel/qcoreapplication.cpp:732
#22 0x00007f6bbbf9b6f2 in sendEvent (this=0xc3b150) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#23 QTimerInfoList::activateTimers (this=0xc3b150) at kernel/qeventdispatcher_unix.cpp:602
#24 0x00007f6bbbf984a4 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#25 0x00007f6bb5cdf342 in g_main_dispatch (context=0xc39f40) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2149
#26 g_main_context_dispatch (context=0xc39f40) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2702
#27 0x00007f6bb5ce32a8 in g_main_context_iterate (context=0xc39f40, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2780
#28 0x00007f6bb5ce345c in g_main_context_iteration (context=0xc39f40, may_block=1) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2843
#29 0x00007f6bbbf98193 in QEventDispatcherGlib::processEvents (this=0xc18e20, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#30 0x00007f6bbca01a4e in QGuiEventDispatcherGlib::processEvents (this=0x13e9eb0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#31 0x00007f6bbbf6aa02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#32 0x00007f6bbbf6adec in QEventLoop::exec (this=0x7fff45070e00, flags=) at kernel/qeventloop.cpp:201
#33 0x00007f6bbbf6eebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#34 0x0000000000409598 in main (argc=<value optimized out>, argv=<value optimized out>) at ../../src/main.cpp:268
Comment 1 Myriam Schweingruber 2011-03-23 22:25:23 UTC
Can you play this track with other media players like VLC for example?
Comment 2 Danny Auble 2011-03-23 22:29:04 UTC
I have just verified any other player will play this, at least all that I tried.  VLC, mplayer, etc...
Comment 3 Myriam Schweingruber 2011-03-24 08:34:01 UTC
Thank you for your feedback.
Comment 4 Myriam Schweingruber 2011-03-26 09:46:16 UTC
*** Bug 269379 has been marked as a duplicate of this bug. ***
Comment 5 Myriam Schweingruber 2011-03-26 09:47:00 UTC
Confirmed by duplicate.
Comment 6 Myriam Schweingruber 2011-04-11 21:07:43 UTC
Fixed by  rv2.4.0.90-53-g59b1665
Comment 7 Ralf Engels 2011-05-02 01:44:39 UTC
Git commit 119ebdc3986988844e70c78fecf4042314227664 by Ralf Engels.
Committed on 11/04/2011 at 17:18.
Pushed by rengels into branch 'dynamicplaylist'.

Fix crash with upcomming events

BUG: 269190

M  +11   -8    src/context/applets/upcomingevents/UpcomingEventsWidget.cpp     

http://commits.kde.org/amarok/119ebdc3986988844e70c78fecf4042314227664
Comment 8 Nikita Krupenko 2011-05-09 14:10:51 UTC
Created attachment 59799 [details]
Crash on version 2.4.1

Version 2.4.1. Still crashing.
Comment 9 Nikita Krupenko 2011-05-09 14:12:25 UTC
Comment on attachment 59799 [details]
Crash on version 2.4.1

Corrected type of attachment
Comment 10 Myriam Schweingruber 2011-05-10 03:43:46 UTC
Nikita, see the date of the fix, this is fixed in the next version, Amarok 2.4.2 but we only just opened this branch.